Subject: [Fictionary] Next round potential words

From: Elizabeth Heffner <[email-masked]>
Date: Wed, 10 Feb 2021 14:37:14 -0500

Thanks for that round, Eric! I enjoyed the challenge.  I did think my
definition might have been too wordy, but obviously it was not a
catastrophe.

Potential words for the next round follow.  Please let me know if you're
familiar with their definitions by the end of Sunday 14th Feb.

Jararacussu
Limberham
Pouze